Bug 816972 - [TestRun]Environment property can't edited twice.
[TestRun]Environment property can't edited twice.
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.7.0
Unspecified Linux
medium Severity medium
: ---
: ---
Assigned To: Yuguang Wang
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 07:26 EDT by Guoping Feng
Modified: 2018-02-15 19:37 EST (History)
4 users (show)

See Also:
Fixed In Version: tcms 3.7.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
edit twice failed. (17.05 KB, image/png)
2012-04-27 07:26 EDT, Guoping Feng
no flags Details

  None (edit)
Description Guoping Feng 2012-04-27 07:26:52 EDT
Created attachment 580738 [details]
edit twice failed.

Description of problem:
In a run page, edit the property of environment. Choose a property and change it's value, submit. Again, edit this property and change another value, submit failed.

Version-Release number of selected component (if applicable):
tcms-stage - 3.7.0-1

How reproducible:
100%

Steps to Reproduce:
1.Enter into a run.
2.Choose a property of environment and edit it to change its value, then submit.
3.Edit this property again and change another value, then submit.
  
Actual results:
In step3, submit failed, and the warning "Edit value failed" pops up.

Expected results:
The property can always be edited.

Additional info:
Comment 1 Chaobin Tang 2012-05-04 05:08:14 EDT
A line of hard coded javascript function call caused an incorrect argument being sent in an Ajax call that is intended to update testrun.environment, it failed with stupidity. Now fixed in commit 58a07c0.
Comment 2 Xin Gao 2012-05-08 04:18:30 EDT
verify result --> pass

verify version
tcms-3.7.0-2 on stage

verify step
1.Enter into a run.
2.Choose a property of environment and edit it to change its value, then
submit.
3.Edit this property again and change another value, then submit.

result
work well.

Note You need to log in before you can comment on or make changes to this bug.